Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.persistence.sqlmapdao
Class AccountSqlMapDao

    java.lang.Object
      com.ibatis.dao.client.template.DaoTemplate
          com.ibatis.dao.client.template.SqlMapDaoTemplate
              com.ibatis.jpetstore.persistence.sqlmapdao.BaseSqlMapDao
                  com.ibatis.jpetstore.persistence.sqlmapdao.AccountSqlMapDao

All Implemented Interfaces:
  AccountDao, com.ibatis.dao.client.Dao, com.ibatis.sqlmap.client.SqlMapExecutor

public class AccountSqlMapDao
extends BaseSqlMapDao
implements AccountDao

Field Summary

Fields inherited from class com.ibatis.jpetstore.persistence.sqlmapdao.BaseSqlMapDao
`PAGE_SIZE`

Fields inherited from class com.ibatis.dao.client.template.DaoTemplate
`daoManager`

Constructor Summary
`AccountSqlMapDao(com.ibatis.dao.client.DaoManager daoManager)`

Method Summary
`Account` | `getAccount(String username)`
`Account` | `getAccount(String username, String password)`
`List` | `getUsernameList()`
`void` | `insertAccount(Account account)`
`void` | `updateAccount(Account account)`

Methods inherited from class com.ibatis.dao.client.template.SqlMapDaoTemplate
`delete, executeBatch, getSqlMapExecutor, getSqlMapTransactionManager, insert, queryForList, queryForList, queryForMap, queryForMap, queryForObject, queryForObject, queryForPaginatedList, queryWithRowHandler, startBatch, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccountSqlMapDao

    public AccountSqlMapDao(com.ibatis.dao.client.DaoManager daoManager)

Method Detail

### getAccount

    public Account getAccount(String username)

  Specified by:
    `getAccount` in interface `AccountDao`

### getUsernameList

    public List getUsernameList()

  Specified by:
    `getUsernameList` in interface `AccountDao`

### getAccount

    public Account getAccount(String username,
                              String password)

  Specified by:
    `getAccount` in interface `AccountDao`

### insertAccount

    public void insertAccount(Account account)

  Specified by:
    `insertAccount` in interface `AccountDao`

### updateAccount

    public void updateAccount(Account account)

  Specified by:
    `updateAccount` in interface `AccountDao`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.